Summary:	Columbus - automatically detect and set network configuration
Group:		System

Name:           columbus
Version:        0.1.1
Release:        1

Copyright: 	GPL
Url: 		http://columbus.sourceforge.net/
Source: 	%{name}-%{version}.tar.gz
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Columbus automatically detects your location from a set of pre-defined 
locations (identified by a known host, it's IP address and it's MAC 
address) and symlinks specific system files accordingly.  It also hooks 
this up to apmd and together with viking, a link monitor, it can 
automatically re-sync your network each time your network cable has been 
unplugged.

Authors:
--------
Thomas Vander Stichele (thomas@apestaart.org)

%prep
%setup
%configure
%build
%makeinstall
%clean

%post
chkconfig --add columbus
if test -e /etc/sysconfig/apm-scripts/apmscript 
then           
  cp /etc/sysconfig/apm-scripts/apmscript /etc/sysconfig/apm-scripts/apmscript.bak
fi
patch /etc/sysconfig/apm-scripts/apmscript < /usr/share/columbus/apmscript.patch
ln -sf /usr/sbin/ifup-pre-local /sbin/ifup-pre-local

%postun
if test -e /etc/sysconfig/apm-scripts/apmscript.bak
then
  cp /etc/sysconfig/apm-scripts/apmscript.bak /etc/sysconfig/apm-scripts/apmscript
fi

%files
%defattr(-,root,root)
%doc ChangeLog README TODO BUGS AUTHORS NEWS COPYING INSTALL
%dir /usr/share/columbus
/usr/sbin/columbus
/usr/sbin/viking
/usr/share/columbus/apmscript.patch
/etc/rc.d/init.d/columbus
/usr/sbin/ifup-pre-local

%changelog
* Wed Dec 26 2001 Thomas Vander Stichele <thomas@apestaart.org>
- initial packaging
